Subject: Re: [PATCH 06/12] t: prepare execution of potentially failing commands for `set -e`

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Apr 2026 08:31:37 -0700

Jeff King <[email-masked]> writes:

> I guess one other option is to avoid turning on "set -e" at all for
> known-buggy shells. We are not relying on it working everywhere, but
> rather hoping that if at least one platform uses it, it will find
> programming errors in the test script.
>
> Personally, I am still skeptical that all of this is worth it versus
> just checking stderr.

Not having to "check" stderr is powerful, when you generally just
run your tests with the output sent to your terminal.

I agree that it is a good workaround to use 'set -e' only where we
know it works.